For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate face swap video task

Create a face swap video with parameters

Generate face swap video task

post
Header parameters
timestampanyRequired

Millisecond timestamp

Content-TypeanyRequired

application/json

AuthorizationanyRequired

Authorization

RESPONSE-WRAPanyRequired

Whether to encapsulate response data

x-auth-keyanyRequired

Your api key

Body
webhook_urlstringRequired

The webhook url to notify the task information

Responses
200

OK

*/*
failed_reasonstringOptional

The failed reason

file_urlstringOptional

The file url

task_idstringOptional

The task id

task_statusinteger · int32Optional

The task status:0: EXECUTING;1: Success;2: Failed;

webhook_urlstringOptional

The webhook url to notify the task information

post/openapi/v1.0/faceSwap/video/create
POST /openapi/v1.0/faceSwap/video/create HTTP/1.1
timestamp: null
Authorization: null
RESPONSE-WRAP: null
x-auth-key: null
Content-Type: application/json
Accept: */*
Content-Length: 239

{
  "params": {
    "asset_id": "text",
    "faceswap_mapping": [
      {
        "frame_asset_id": "text",
        "frame_asset_url": "text",
        "user_face_asset_id": "text",
        "user_face_asset_url": "text",
        "video_face_asset_id": "text",
        "video_face_asset_url": "text"
      }
    ]
  },
  "webhook_url": "text"
}
{
  "failed_reason": "text",
  "file_url": "text",
  "params": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "task_id": "text",
  "task_status": 1,
  "webhook_url": "text"
}

Last updated